package com.caimei365.manager.entity.caimei.enums;

import javafx.beans.binding.When;
import lombok.AllArgsConstructor;

import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;
import java.util.HashMap;
import java.util.Map;

/**
 * @author zzj
 */
@AllArgsConstructor
public enum KeyWordEnum {

    /**
     * searchTimeCode 近一年 近半年 近一个月 近一周 昨天
     */
    LastYear(1, "近一年"),
    HalfLastYear(2, "近半年"),
    LastMonth(3, "近一个月"),
    LastWeek(4, "近一周"),
    Yesterday(5, "昨天");

    private Integer searchTimeCode;
    private String description;

    public Integer getSearchTimeCode() {
        return searchTimeCode;
    }

    public void setSearchTimeCode(Integer searchTimeCode) {
        this.searchTimeCode = searchTimeCode;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    /**
     * 返回当前时间的查询范围起始/终止时间
     *
     * @return
     */
    public static Map<String, String> getTimeVal(Integer key) {
        SimpleDateFormat format = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        Map<String, String> timeVal = new HashMap<>();
        Date now = new Date();
        Calendar instance = Calendar.getInstance();
        instance.setTime(now);
        switch (key) {
            case 1:
                instance.add(Calendar.YEAR, -1);
                break;
            case 2:
                instance.add(Calendar.MONTH, -6);
                break;
            case 3:
                instance.add(Calendar.MONTH, -1);
                break;
            case 4:
                instance.add(Calendar.WEEK_OF_MONTH, -1);
                break;
            case 5:
                instance.add(Calendar.DAY_OF_MONTH, -1);
                break;
            default:
                throw new IllegalStateException("Unexpected value: " + key);
        }

        timeVal.put("beginTime", format.format(instance.getTime()));
        timeVal.put("endTime", format.format(now));
        return timeVal;
    }
}
